Package org.apache.lucene.queryparser.flexible.core.nodes

## Class ProximityQueryNode.ProximityType

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.core.nodes.ProximityQueryNode.ProximityType

- Enclosing class:
    ProximityQueryNode

      public static class ProximityQueryNode.ProximityType
      extends Object

  utility class containing the distance condition and number

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProximityType​(ProximityQueryNode.Type type)` |
    `ProximityType​(ProximityQueryNode.Type type, int distance)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProximityType

          public ProximityType​(ProximityQueryNode.Type type)

    - #### ProximityType

          public ProximityType​(ProximityQueryNode.Type type,
                               int distance)